package com.om.controller.user;


import com.om.entity.dto.APPRepairQueryPageDTO;
import com.om.entity.dto.APPReportCreateDTO;
import com.om.entity.vo.AppRepairQueryPageVO;
import com.om.service.IRepairService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-02-18
 */
@RestController
@Api(tags = "用户端诊断报告")
@RequestMapping("/app/diagnosis/report")
public class APPRepairController {

    @Resource
    private IRepairService repairService;

    @PostMapping("/create")
    @ApiOperation("创建诊断报告")
    public Result createReport(@RequestBody APPReportCreateDTO dto){
        return repairService.AppCreateReport(dto);
    }


    @PostMapping("/getPageList")
    @ApiOperation("获取诊断报告列表")
    public Result<AppRepairQueryPageVO> getPageList(@RequestBody APPRepairQueryPageDTO dto){
        return repairService.AppGetPageList(dto);
    }


    @PostMapping("/delete")
    @ApiOperation("获取诊断报告列表")
    public Result delete(@RequestParam Integer id){
        return repairService.delete(id);
    }

}
